import {
  Column,
  CreateDateColumn,
  Entity,
  PrimaryGeneratedColumn,
  Unique,
  UpdateDateColumn,
} from 'typeorm';

@Entity()
@Unique(['annotatorId', 'StudyInstanceUID', 'SeriesInstanceUID'])
export class ArchiveTask {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  annotatorId: number;

  @Column()
  PatientID: string;

  @Column()
  StudyInstanceUID: string;

  @Column()
  SeriesInstanceUID: string;

  @CreateDateColumn({ type: 'timestamp' })
  createTime: Date;

  @UpdateDateColumn({ type: 'timestamp' })
  updateTime: Date;
}
