import { Body, Controller, Get, Inject, Post } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { firstValueFrom } from 'rxjs';

@Controller('admin')
export class AdminController {
  constructor(@Inject('Client') private readonly client: ClientProxy) {}

  @Get('find/annotator')
  async findAnnotator() {
    const { data } = await firstValueFrom(
      this.client.send({ cmd: 'cert.user.find.annotator' }, {}),
    );
    return { data, code: 0 };
  }

  @Post('createArchiveTask')
  async createArchiveTask(@Body() body) {
    const { user, study } = body;
    const { id: annotatorId } = user;
    const { success, error } = await firstValueFrom(
      this.client.send({ cmd: 'archive.task.create' }, { annotatorId, study }),
    );
    return success ? { code: 0 } : { code: 1, msg: error.code };
  }
}
